const state = {
  counter: 1,
  activetab : 1,
  websocketMessage: {}, // 웹소켓 메시지를 저장하는 state를 추가
};

const getters = {
  getExcelJson: state => state.excelJson,
  getFileNm: state => state.FileNm,
  getWebsocketMessage: state => state.websocketMessage, // 웹소켓 메시지를 가져오는 getter를 추가
};

const mutations = {
  increment (state) {
    state.count++;
  },
  decrement (state) {
    state.count--;
  },
  setExcelJson(state, data){                                            
    state.excelJson = data;
  },
  setWebsocketMessage(state, message){                                            
    state.websocketMessage = message; // 웹소켓 메시지를 저장하는 mutation을 추가
  },
};

const actions = {
  setFile({commit,dispatch}, account) {      

  },
  setWebsocketMessage({ commit }, message) {
    //console.log('sdkfjsldkfj');
    //console.log(JSON.parse(message));
    let jsonMessage = JSON.parse(message);
    let EXECUTE = jsonMessage.EXECUTE.trim();
    let msgDate = jsonMessage.DATA_LIST;
    console.log(EXECUTE);
    console.log(JSON.parse(msgDate));

    //commit('setWebsocketMessage', message); // 웹소켓 메시지를 저장하는 action을 추가
  }
};

export default {
  namespaced: true,
  state,
  getters,
  mutations,
  actions
};